## org.eclipse.jetty.client.security
Class BasicAuthentication

    java.lang.Object
      org.eclipse.jetty.client.security.BasicAuthentication

All Implemented Interfaces:
  Authentication

    public class BasicAuthentication

extends java.lang.Object
implements Authentication

Sets authentication headers for BASIC authentication challenges

Constructor Summary
`BasicAuthentication(Realm realm)`

Method Summary
`void` `setCredentials(HttpExchange exchange)` BASIC authentication is of the form encoded credentials are of the form: username:password

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAuthentication

    public BasicAuthentication(Realm realm)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setCredentials

    public void setCredentials(HttpExchange exchange)
                        throws java.io.IOException

  BASIC authentication is of the form encoded credentials are of the form: username:password

  Specified by:
    `setCredentials` in interface `Authentication`
  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.